Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1476558 (deepin-desktop-base) - Review Request: deepin-desktop-base - Base component for Deepin
Summary: Review Request: deepin-desktop-base - Base component for Deepin
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-desktop-base
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2017-07-30 10:12 UTC by sensor.wen
Modified: 2018-07-22 13:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:31:16 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2017-08-06 11:38:53 UTC
Hello,


A few points:
 - It seems curious to me to depend on deepin-wallpapers. The package should be usable even without the official wallpapers.
 - Your description should end with a dot "." It could be a bit more explicit. What does this package do?
 - Your changelog entries shouldn't include the git revision if you are packaging a release version. Git revisions only need to be included when you are packaging a development snapshot.
 - PREFIX=%{_prefix} is not needed, the %make_install macro takes care of that.
 - Your package should own all the directories it creates with the %dir macro
For example %dir %{_datadir}/backgrounds/deepin
See also %{_datadir}/distro-info and %{_usr}/lib/deepin/ unless they are used and should be owned by another deepin package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/deepin-desktop-base/review-deepin-desktop-
     base/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/deepin, /usr/share/backgrounds/deepin
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/i18n,
     /usr/lib/deepin, /usr/share/backgrounds/deepin, /usr/share/distro-
     info, /usr/share/plymouth
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: deepin-desktop-base-2016.12.6-1.fc27.noarch.rpm
          deepin-desktop-base-2016.12.6-1.fc27.src.rpm
deepin-desktop-base.noarch: W: only-non-binary-in-usr-lib
deepin-desktop-base.noarch: W: no-documentation
deepin-desktop-base.noarch: W: non-conffile-in-etc /etc/appstore.json
deepin-desktop-base.src:29: E: hardcoded-library-path in /usr/lib/deepin/desktop-version
2 packages and 0 specfiles checked; 1 errors, 3 warnings.


I don't think the rpmlint error is relevant here, as there is no library included in /usr/lib, just a version file. I don't think it should go in /usr/lib64. But if another packager with more experience than me could chime it to give his or her opinion, it would be helpful.

Comment 2 sensor.wen 2017-08-06 16:29:51 UTC
SPEC:  https://raw.githubusercontent.com/FZUG/repo/05164f3d4a5344d2c6099e0675a92ec205f9d434/rpms/deepin_project/deepin-desktop-base.spec

Hello, 

Thank you for your help. I fixed some problem.

- change to "Recommends:  deepin-wallpapers"
- enhance description
- remove git revision from changelog and remove "PREFIX=%{_prefix}"
- add %dir line to %files
- change /usr/lib/deepin/deepin-version to /usr/share/deepin/deepin-version

Please see https://github.com/FZUG/repo/commit/05164f3d4a5344d2c6099e0675a92ec205f9d434

Comment 3 Robert-André Mauchin 🐧 2017-08-06 18:04:13 UTC
You should post both the updated SPEC and the updated SRPM.
One last thing, you shouldn't own "/usr/share/distro-info" because it is owned by other package (distro-info).

Comment 4 Robert-André Mauchin 🐧 2017-08-25 07:38:57 UTC
Any update on this? It's needed for deepin-api

Comment 6 Robert-André Mauchin 🐧 2017-08-26 13:25:12 UTC
All good, package accepted.

Comment 7 Gwyn Ciesla 2017-08-28 11:37:56 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-desktop-base

Comment 8 Fedora Update System 2017-10-09 14:43:55 UTC
deepin-desktop-base-2016.12.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b19c2d444e

Comment 9 Fedora Update System 2017-10-11 06:26:36 UTC
deepin-desktop-base-2016.12.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b19c2d444e

Comment 10 Zamir SUN 2018-07-22 13:31:16 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.